PropagationSpec (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.propagation.spec
Class PropagationSpec

    java.lang.Object
      org.maltparser.core.propagation.spec.PropagationSpec

    public class PropagationSpec

extends Object

Author:
  Johan Hall

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`PropagationSpec(String from, String to, String _for, String over)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getFor()`
`String` | `getFrom()`
`String` | `getOver()`
`String` | `getTo()`
`int` | `hashCode()`
`void` | `setFor(String _for)`
`void` | `setFrom(String from)`
`void` | `setOver(String over)`
`void` | `setTo(String to)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### PropagationSpec

    public PropagationSpec(String from,
                           String to,
                           String _for,
                           String over)

Method Detail

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getTo

    public String getTo()

### setTo

    public void setTo(String to)

### getFor

    public String getFor()

### setFor

    public void setFor(String _for)

### getOver

    public String getOver()

### setOver

    public void setOver(String over)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.